# Star Citizen Flight Control Panel

To increase immersion in Star Citizen, I designed this "control panel" that acts as a standard USB joystick, expanding your button options without resorting to the keyboard. Combine with a HOSAS and pedals for a decent amount of immersion without building a full simpit.

## Files

Contained in this directory you'll find several sub-directories (some of these are TBA):

* `code/` contains the Arduino sketch (which requires my [Arduino Joystick](https://git.annabunch.es/annabunches/arduino-joystick) library)
* `pcb/` has Eagle files for the custom PCB that connects directly to an Arduino.
* `decal/` has an Adobe Illustrator design for pasting to the front of the panel.
* `mockup/` has a Fusion 360 mockup of the panel, used to test the dimensions of all the components and ensure everything will fit.
* `gallery/` contains work-in-progress and finished images of the physical project.

## Parts

List of parts used (part numbers included in case links expire):

* TBA
